#!/usr/bin/python

####    B R U C H R E C H N E R
####    - teilfertig -

# Datei:   mbruch0.py
# Effekt:  Monadische Bruchoperationen
# Benutzt: Klasse Bruch und die Standardmethoden "gib_" und "setze_"
# Autoren: Cem Avsar, Christian Gabriel, Martin Teschner, Ebert-O.
# Datum:   Januar 2002
# Gekrzt: Bombei, Juni 2002, "Fortbildung BICS"

from bruch0 import Bruch

class Mona_Bruch(Bruch):
   def __init__(self):
	"""
	/* Eigenschaften von Bruch werden bernommen
	/* Attribute: Zaehler, Nenner auch
	"""
	pass

   def erweitern_mit(self,zahl):
	"""
	/* Parameter: Erweiterer "zahl" (Ganze Zahl)
	/* Resultat: Bruch wird um eine bestimmte Zahl erweitert
	"""
        zaehler = self.gib_zaehler()
	nenner = self.gib_nenner()
	zaehlererweitert = zaehler * zahl
        nennererweitert  = nenner * zahl

        self.setze_zaehler(zaehlererweitert)
	self.setze_nenner(nennererweitert)

   def kuerzen_durch(self, kuerzer):
        """
        /* Parameter: Kuerzer (Ganze Zahl)
        /* Resultat: Bruch wird durch bestimmte Zahl gekuerzt
        /*           liefert 1, wenn gekrzt wurde, sonst 0
        """
        pass    # bitte durch Python-Code ersetzen ...
